dyldinfo(1)

NAME
dyldinfo - Displays information used by dyld in an executable

SYNOPSIS
dyldinfo [-arch arch-name] [-dylibs] [-rebase] [-bind] [-weak_bind] [-lazy_bind] [-export] [-opcodes] [-function_starts] file(s)

DESCRIPTION
Executables built for Mac OS X 10.6 and later have a new format for the information in the __LINKEDIT segment. The dyldinfo tool will display that information.

The options are as follows:

-arch arch
    Only display the specified architecture. Other architectures in a universal image are ignored.

-dylibs
    Display the table of dylibs on which this image depends.

-rebase
    Display the table of rebasing information. Rebasing is what dyld does when an image is not loaded at its preferred address. Typically, this involves updating pointers in the __DATA segment which point within the image.

-bind
    Display the table of binding information. These are the symbolic fix ups that dyld must do when an image is loaded.

-weak_bind
    Display the table of weak binding information. Typically, only C++ progams will have any weak binding. These are symbols which dyld must unique accross all images.

-lazy_bind
    Display the table of lazy binding information. These are symbols which dyld delays binding until they are first used. Lazy binding is automatically used for all function calls to functions in some external dylib.

-export
    Display the table symbols which this image exports.

-opcodes
    Display the low level opcodes used to encode all rebase and binding information.

-function_starts
    Decodes the list of function start addresses.

SEE ALSO
otool(1) nm(1)